## ncbi-igblast 1.19.0

=== c++/src/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 650961 2022-06-07 14:54:03Z blastadm $
#############################################################################

cmake_minimum_required(VERSION 3.7)
if ("${PROJECT_NAME}" STREQUAL "")
    project(ncbi_cpp)
endif()
include(${CMAKE_CURRENT_LIST_DIR}/build-system/cmake/CMakeLists.top_builddir.txt)
