=== c++/src/algo/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_subdirectory(
  dustmask winmask sequence blast segmask align structure ms gnomon
  tree phy_tree seqqa cobalt text volume_merge primer id_mapper
)
