=== c++/src/build-system/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593510 2019-09-19 16:37:55Z gouriano $
#############################################################################
# 
#

# Include projects from this directory

NCBI_add_subdirectory(project_tree_builder)
