=== c++/src/app/blastdb/CMakeLists.txt ===
# $Id: CMakeLists.txt 622501 2020-12-24 15:12:25Z ivanov $

NCBI_add_app(
  blastdbcmd makeblastdb blastdb_aliastool blastdbcheck convert2blastmask
  blastdbcp makeprofiledb blastdb_convert blastdb_path
)
