=== c++/src/app/igblast/CMakeLists.txt ===
# $Id: CMakeLists.txt 622501 2020-12-24 15:12:25Z ivanov $

NCBI_add_app(igblastp igblastn)
NCBI_add_target(edit_imgt_file)
