=== debian/changelog ===
ncbi-igblast (1.19.0-1build1) mantic; urgency=medium

  * No-change rebuild against glibc 2.38-1ubuntu2

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 11 Aug 2023 12:25:22 +0200

ncbi-igblast (1.19.0-1) unstable; urgency=medium

  * Team upload.
  * Fix Uploaders field
    Closes: #1016362
  * Standards-Version: 4.6.1 (routine-update)
  * Refer to common license file for Apache-2.0.

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jul 2022 08:27:07 +0200

ncbi-igblast (1.18.0-1) unstable; urgency=low

  * Team upload
  * Initial Release. (Closes: #903965)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2022 14:52:48 +0200
