=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=c++

override_dh_auto_configure:
	cd c++ && yes | \
        ./configure.orig --prefix=/usr \
	  --without-gbench --without-internal --without-gui --without-ctools --without-app --without-connext \
	  --without-ncbi-crypt \
	  --without-vdb \
	  --without-ngs \
	  --without-dll --without-debug --with-strip \
	  --without-openmp --without-mt --without-mesa --without-glut --without-orbacus --without-sp \
	  --without-local-lbsm --without-cppkafka --without-librdkafka --without-apache-arrow --without-hiredis --without-aws-sdk --without-msgsl --without-grpc --without-protobuf --without-libxlsxwriter --without-influxdb --without-h2o --without-nghttp2 --without-cassandra \
	  --without-libssh2 --without-libuv --without-lmdb --without-mongodb --without-leveldb --without-gmock --without-gsoap --without-avro --without-cereal --without-oechem --without-zorba --without-xalan --without-xerces --without-libexslt --without-sablot --without-icu --without-sybase \
	  --without-python --without-perl \
	  --without-runpath

override_dh_auto_build:
	cd c++ && make

override_dh_auto_install:
	# skipping

override_dh_clean:
	# cleans *.orig files, which it should not
	rm -fr ./c++/GCC1020-ReleaseDLL64
	dh_clean -X*.orig
