## ncbi-igblast 1.20.0

=== c++/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# $Id: CMakeLists.txt 650961 2022-06-07 14:54:03Z blastadm $
+# $Id: CMakeLists.txt 657645 2022-10-13 19:07:41Z blastadm $
 #############################################################################
 
 cmake_minimum_required(VERSION 3.7)
