=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: CMakeLists.txt 643260 2022-01-07 14:56:57Z ivanov $
+# $Id: CMakeLists.txt 643194 2022-01-06 14:19:06Z grichenk $
 
 NCBI_add_subdirectory(
   agp_validate
