=== c++/src/algo/align/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_subdirectory(util nw splign contig_assembly prosplign mergetree ngalign advanced_cleanup)
