=== c++/src/algo/sequence/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_library(xalgoseq)
NCBI_add_subdirectory(demo unit_test)
