=== c++/src/app/igblast/CMakeLists.txt ===
# $Id: CMakeLists.txt 657626 2022-10-13 17:45:20Z ivanov $

NCBI_add_app(igblastp igblastn)
NCBI_add_target(edit_imgt_file)
NCBI_add_target(makeogrdb)
NCBI_add_target(makeogrannote)
