=== c++/src/objects/cdd/CMakeLists.txt ===
# $Id: CMakeLists.txt 621673 2020-12-15 14:41:24Z ivanov $

NCBI_add_library(cdd)
