=== debian/control ===
--- 
+++ 
@@ -3,10 +3,16 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: David Miguel Susano Pinto <carandraug+dev@gmail.com>,
-           Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 13),
+           Steffen Moeller <moeller@debian.org>,
+           Andrius Merkys <merkys@debian.org>
+Build-Depends: chrpath,
+               debhelper-compat (= 13),
+               liblmdb-dev,
+               libmbedtls-dev,
+               libncbi-vdb-dev,
+               procps,
                time
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-igblast
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-igblast.git
 Homepage: https://ncbi.github.io/igblast/
@@ -14,7 +20,9 @@
 
 Package: igblast
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: ncbi-blast+
 Description: Immunoglobulin and T cell receptor variable domain sequence analysis
  IgBLAST allows users to view the matches to the germline V, D, and J
  genes, details at rearrangement junctions, the delineation of IG V
