=== debian/tests/control ===
Tests: igblast
Depends:
 @,
