=== debian/watch ===
version=4
https://ftp.ncbi.nlm.nih.gov/blast/executables/igblast/release/LATEST/ \
  ncbi-igblast-(.*)-src.tar.gz
